<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>discover: /home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/load-url.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.2 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="dirs.html">Directories</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="globals.html">Globals</a></div>
<div class="nav">
<a class="el" href="dir_000002.html">lib</a></div>
<h1>load-url.c File Reference</h1>File loading helper functions. <a href="#_details">More...</a>
<p>
<code>#include "config.h"</code><br>
<code>#include &lt;assert.h&gt;</code><br>
<code>#include &lt;expat.h&gt;</code><br>
<code>#include &lt;discover/load-url.h&gt;</code><br>
<code>#include &lt;stdio.h&gt;</code><br>
<code>#include &lt;string.h&gt;</code><br>

<p>
<a href="load-url_8c-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a0" doxytag="load-url.c::STDIO_READ"></a>
#define&nbsp;</td><td class="memItemRight" valign="bottom"><b>STDIO_READ</b>(f, buf, len)&nbsp;&nbsp;&nbsp;fread(buf, 1, len, f)</td></tr>

<tr><td colspan="2"><br><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a1" doxytag="load-url.c::stdio_file"></a>
typedef FILE *&nbsp;</td><td class="memItemRight" valign="bottom"><b>stdio_file</b></td></tr>

<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a2" doxytag="load-url.c::_discover_load_url"></a>
int&nbsp;</td><td class="memItemRight" valign="bottom"><b>_discover_load_url</b> (const char *url, XML_Parser parser)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
File loading helper functions. 
<p>

<p>
Definition in file <a class="el" href="load-url_8c-source.html">load-url.c</a>.<hr size="1"><address style="align: right;"><small>Generated on Thu Jul 28 03:38:00 2005 for discover by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.2 </small></address>
</body>
</html>
